API ReferenceLicenses
Activate a license key
Activate a license for a device or installation and save its instance ID.
Activate a license for a named device or installation. Success returns a license
instance: the record of that activation. Save its id so you can validate the
same activation later.
Activation can fail if:
- The license key does not exist.
- The license key is inactive (
activeis false). - The license key has expired (
expires_atis in the past). - The activation limit (
limit) has been reached.
AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Header Parameters
X-STORE?string
Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://sell.app/api/v2/licenses/activate" \ -H "X-STORE: launch-lab" \ -H "Content-Type: application/json" \ -d '{ "license_key": "01965f1d-f038-7116-b57f-9e7ecb4e7b8f", "instance_name": "Grace Wilson" }'{
"data": {
"id": "9ebd37af-2077-42f9-9f88-d96cfc6ef1a8",
"license_key_id": 1,
"name": "Grace Wilson",
"store_id": 1,
"created_at": "2025-04-22T20:53:22.000000Z",
"updated_at": "2025-04-22T20:53:22.000000Z"
}
}{
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request could not be understood.",
"status": 400,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#bad-request"
}{
"type": "authentication_error",
"code": "unauthenticated",
"message": "Unauthenticated.",
"status": 401,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}{
"type": "authorization_error",
"code": "forbidden",
"message": "This action is unauthorized.",
"status": 403,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#forbidden"
}{
"type": "validation_error",
"code": "validation_failed",
"message": "The selected product variant id is invalid.",
"status": 422,
"param": "product_variant_id",
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#validation-failed",
"errors": {
"product_variant_id": [
"The selected product variant id is invalid."
]
}
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Attempts.",
"status": 429,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}{
"type": "api_error",
"code": "api_error",
"message": "Server Error",
"status": 500,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#api-error"
}